Virtual Accounts
Fetch Virtual Account Details

Fetch Dedicated Account

Get details of a dedicated virtual account on your integration.

Endpoint: GET https://api.budpay.com/api/v2/dedicated_account/:id

Parameters

This section details the header information required for fetching a dedicated account.

Field NameDescription
URLhttps://api.budpay.com/api/v2/dedicated_account/:id
MethodGET
AuthorizationBearer YOUR_SECRET_KEY (Replace with your actual BudPay secret key)
Path Parameters
ParameterTypeRequiredDescription
idIntegerYesID of the dedicated virtual account

Sample Request

Endpoint: GET https://api.budpay.com/api/v2/dedicated_account/50

1curl -X GET 'https://api.budpay.com/api/v2/dedicated_account/50' \2  -H 'Authorization: Bearer YOUR_SECRET_KEY'
{  "status": true,  "message": "Customer account retrieved",  "data": {    "transactions": [],    "authorizations": [],    "customer": {      "first_name": "Pay",      "last_name": "Bud",      "email": "customer3@budpay.com",      "phone": null,      "customer_code": "CUS_sb7na27qeas7htr",      "id": 6,      "created_at": "2022-03-12T16:50:14.000000Z",      "updated_at": "2022-02-09T13:32:31.000000Z"    },    "domain": "test",    "dedicated_account": {      "id": 50,      "account_name": "Samji Ventures / Pay Bud",      "account_number": "1671149520",      "currency": "NGN",      "status": "active",      "created_at": "2022-03-12T15:50:20.000000Z",      "updated_at": "2022-03-12T15:50:20.000000Z"    },    "provider": {      "id": 1,      "bank_code": "000017",      "bank_name": "Wema Bank",      "prefix": "802"    },    "assignment": "reserved"  }}

Response Fields
FieldDescription
customerCustomer details attached to the account
dedicated_accountVirtual account details (number, name, status)
providerBank providing the virtual account
transactionsArray of transactions on this account
authorizationsArray of saved payment authorizations
domainEnvironment (test or live)